%=======================================================================
%To solve optimization problem:
%Create a new subfolder in ...\PSG\MATLAB:
%..\PSG\MATLAB\problem_cvar_comp_abs_100000_100_0p8
%Download and unpack the following zipped file from 'Data' to the created folder:
%'Mat_data_problem_cvar_comp_abs_100000_100_0p8.zip'
%Run program 'problem_cvar_comp_abs_100000_100_0p8.m'
%=======================================================================

clc;
clear;
addpath('..');

%Load data:
load('.\problem_cvar_comp_abs_100000_100_0p8_data.mat')
%Define options for PSG solver:
stroptions.Precision = 4;
%Define input arguments:
string = {'cvar_comp_abs'};
w = {0.8};

%Solve optimization problems:
[xout, fval, status, output] = riskprog(string, w, H, [], [], [], A, b, [], [], lb, [], [], stroptions);
 
%Display results:
disp(' ');
disp('Results: ');
%Display status of optimization problem:
disp(sprintf('status of optimization problem = %s', status));
%Display solving time:
disp(sprintf('solving time = %g', output.solving_time));
%Display objective:
disp(sprintf('objective = %g', fval));
%Display function:
disp(sprintf('cvar_comp_abs= %g', output.frval));
%Display left hand sides of linear inequality:
%disp('linear inequality:');
%disp(output.fAval');
%Display residual of linear inequality:
disp(sprintf('residual of linear inequality = %g', output.rAval));
%Display optimal point:
%disp('optimal point = ');
%disp(xout');
